import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class AnalyticsDashboardSectionThreeCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subTitle: string;

    @Prop({ default: null, nullable: true })
    cardOneIcon: string;

    @Prop({ default: null, nullable: true })
    cardTwoIcon: string;

    @Prop({ default: null, nullable: true })
    cardThreeIcon: string;

    @Prop({ default: null, nullable: true })
    cardFourIcon: string;

    @Prop({ default: null, nullable: true })
    cardOneTitle: string;

    @Prop({ default: null, nullable: true })
    cardTwoTitle: string;

    @Prop({ default: null, nullable: true })
    cardThreeTitle: string;

    @Prop({ default: null, nullable: true })
    attributeThreeTitle: string;

    @Prop({ default: null, nullable: true })
    cardFourTitle: string;

    @Prop({ default: null, nullable: true })
    cardOneDescription: string;

    @Prop({ default: null, nullable: true })
    cardTwoDescription: string;

    @Prop({ default: null, nullable: true })
    cardThreeDescription: string;

    @Prop({ default: null, nullable: true })
    cardFourDescription: string;

}

export const AnalyticsDashboardSectionThreeCmsSchema = SchemaFactory.createForClass(AnalyticsDashboardSectionThreeCms);