import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class AboutSectionThreeCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    quote: string;

    @Prop({ default: null, nullable: true })
    author: string;

}

export const AboutSectionThreeCmsSchema = SchemaFactory.createForClass(AboutSectionThreeCms);
