import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class ChatbotSectionTwoCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    titleOne: string;

    @Prop({ default: null, nullable: true })
    subTitleOne: string;

    @Prop({ default: null, nullable: true })
    imageOne: string;

    @Prop({ default: null, nullable: true })
    descriptionOne: string;

    @Prop({ default: null, nullable: true })
    titleTwo: string;

    @Prop({ default: null, nullable: true })
    subTitleTwo: string;

    @Prop({ default: null, nullable: true })
    descriptionTwo: string;

    @Prop({ default: null, nullable: true })
    imageTwo: string;

    @Prop({ default: null, nullable: true })
    imageThree: string;

}

export const ChatbotSectionTwoCmsSchema = SchemaFactory.createForClass(ChatbotSectionTwoCms);