import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseHeaderFooterCmsDto {
    @IsOptional()
    logo: string;

    @IsNotEmpty()
    address: string;

    @IsNotEmpty()
    buttonOneText: string;

    @IsNotEmpty()
    buttonOneLink: string;

    @IsNotEmpty()
    buttonTwoText: string;

    @IsNotEmpty()
    buttonTwoLink: string;

    @IsNotEmpty()
    headerButtonText: string;

    @IsNotEmpty()
    headerButtonLink: string;
}