import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HomeCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    clientSliderTitle: string;

    @Prop({ default: null, nullable: true })
    integrationSliderHeading: string;

    @Prop({ default: null, nullable: true })
    integrationSliderTitle: string;

    @Prop({ default: null, nullable: true })
    solutionSectionHeading: string;

    @Prop({ default: null, nullable: true })
    solutionSectionTitle: string;
}

export const HomeCmsSchema = SchemaFactory.createForClass(HomeCms);
