import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class IntegrationsPageSectionFiveCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subTitle: string;

    @Prop({ default: null, nullable: true })
    cardOneImage: string;

    @Prop({ default: null, nullable: true })
    cardTwoImage: string;

    @Prop({ default: null, nullable: true })
    cardThreeImage: string;

    @Prop({ default: null, nullable: true })
    cardOneTitle: string;

    @Prop({ default: null, nullable: true })
    cardTwoTitle: string;

    @Prop({ default: null, nullable: true })
    cardThreeTitle: string;

    @Prop({ default: null, nullable: true })
    cardOneDescription: string;

    @Prop({ default: null, nullable: true })
    cardTwoDescription: string;

    @Prop({ default: null, nullable: true })
    cardThreeDescription: string;
}

export const IntegrationsPageSectionFiveCmsSchema = SchemaFactory.createForClass(IntegrationsPageSectionFiveCms);