import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class PortfolioDetailsDiscoverCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    discoverSectionTitle: string;

    @Prop({ default: null, nullable: true })
    discoverSectionButtonText: string;

    @Prop({ default: null, nullable: true })
    discoverSectionButtonLink: string;

}

export const PortfolioDetailsDiscoverCmsSchema = SchemaFactory.createForClass(PortfolioDetailsDiscoverCms);
