import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class PrivacyPolicyCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subTitle: string;

    @Prop({ default: null, nullable: true })
    description: string;
}

export const PrivacyPolicyCmsSchema = SchemaFactory.createForClass(PrivacyPolicyCms);
