import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class SolutionServiceDetailsCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    descSectionTitle: string;

    @Prop({ default: null, nullable: true })
    descSectionDescription: string;

    @Prop({ default: null, nullable: true })
    checkoutSectionTitle: string;

    @Prop({ default: null, nullable: true })
    checkoutButtonText: string;

    @Prop({ default: null, nullable: true })
    checkoutButtonLink: string;

    @Prop({ default: null, nullable: true })
    sliderSectionTitle: string;

    @Prop({ default: null, nullable: true })
    sliderSectionButtonText: string;

    @Prop({ default: null, nullable: true })
    sliderSectionButtonLink: string;
}

export const SolutionServiceDetailsCmsSchema = SchemaFactory.createForClass(SolutionServiceDetailsCms);
