import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class SolutionTypeDetailsCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    sectionOneHeading: string;

    @Prop({ default: null, nullable: true })
    sectionOneTitle: string;

    @Prop({ default: null, nullable: true })
    contactSectionTitle: string;

    @Prop({ default: null, nullable: true })
    contactSectionButtonText: string;

    @Prop({ default: null, nullable: true })
    contactSectionButtonLink: string;
}

export const SolutionTypeDetailsCmsSchema = SchemaFactory.createForClass(SolutionTypeDetailsCms);
