import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class StatisticsCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    quantityOne: number;

    @Prop({ default: null, nullable: true })
    quantityTwo: number;

    @Prop({ default: null, nullable: true })
    quantityThree: number;

    @Prop({ default: null, nullable: true })
    quantityFour: number;

    @Prop({ default: null, nullable: true })
    quantityFive: number;

    @Prop({ default: null, nullable: true })
    titleOne: string;

    @Prop({ default: null, nullable: true })
    titleTwo: string;

    @Prop({ default: null, nullable: true })
    titleThree: string;

    @Prop({ default: null, nullable: true })
    titleFour: string;

    @Prop({ default: null, nullable: true })
    titleFive: string;
}


export const StatisticsCmsSchema = SchemaFactory.createForClass(StatisticsCms);
