import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class Clients extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    image: string;

    @Prop({ nullable: true, default: 0 })
    position: number;
}

export const ClientsSchema = SchemaFactory.createForClass(Clients);