import { IsNotEmpty, IsOptional } from "class-validator";
export class CreateServicesDto {
    @IsOptional()
    heading: string;

    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    description: string;

    @IsOptional()
    image: string;

    @IsOptional()
    buttonLink: string;

    @IsOptional()
    buttonText: string;

    @IsOptional()
    urlSlug: string;

    @IsNotEmpty()
    solutions: string[];

    @IsNotEmpty()
    companyDescription: string;

    @IsOptional()
    icon: string;

    @IsOptional()
    metaTitle: string;

    @IsOptional()
    metaDescription: string;

    @IsOptional()
    metaKeyword: string;

    @IsOptional()
    cannonicalUrl: string;

    @IsOptional()
    imageAlt: string;

    @IsOptional()
    imageTitle: string;
    
    @IsOptional()
    iconAlt: string;

    @IsOptional()
    iconTitle: string;
}
