import { IsNotEmpty, IsOptional } from "class-validator";
export class CreatePortfolioDto {
    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    subTitle: string;

    @IsOptional()
    urlSlug: string;

    @IsOptional()
    clientName: string;

    @IsOptional()
    buttonLink: string;

    @IsOptional()
    featuredImage: string;

    @IsOptional()
    images: string[];

    @IsOptional()
    description: string;

    @IsOptional()
    developmentSolutions: object;

    @IsOptional()
    marketingSolutions: object;

    // @IsOptional()
    // services: Services[];

}
