import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class AnalyticsDashboardSectionSix extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    teamImage: string;

    @Prop({ default: null, nullable: true })
    teamName: string;

}

export const AnalyticsDashboardSectionSixSchema = SchemaFactory.createForClass(AnalyticsDashboardSectionSix);