import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseAnalyticsDashboardSectionThreeCmsDto {
    
    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    subTitle: string;

    @IsOptional()
    cardOneIcon: string;

    @IsOptional()
    cardTwoIcon: string;

    @IsOptional()
    cardThreeIcon: string;

    @IsOptional()
    cardFourIcon: string;

    @IsOptional()
    cardOneTitle: string;

    @IsOptional()
    cardTwoTitle: string;

    @IsOptional()
    cardThreeTitle: string;

    @IsOptional()
    cardFourTitle: string;

    @IsOptional()
    cardOneDescription: string;

    @IsOptional()
    cardTwoDescription: string;

    @IsOptional()
    cardThreeDescription: string;

    @IsOptional()
    cardFourDescription: string;

}