import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class AnalyticsDashboardSectionTwoCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subTitle: string;

    @Prop({ default: null, nullable: true })
    image: string;

    @Prop({ default: null, nullable: true })
    attributeOneTitle: string;

    @Prop({ default: null, nullable: true })
    attributeOneDescription: string;

    @Prop({ default: null, nullable: true })
    attributeOneIcon: string;

    @Prop({ default: null, nullable: true })
    attributeTwoTitle: string;

    @Prop({ default: null, nullable: true })
    attributeTwoDescription: string;

    @Prop({ default: null, nullable: true })
    attributeTwoIcon: string;

    @Prop({ default: null, nullable: true })
    attributeThreeTitle: string;

    @Prop({ default: null, nullable: true })
    attributeThreeDescription: string;

    @Prop({ default: null, nullable: true })
    attributeThreeIcon: string;

    @Prop({ default: null, nullable: true })
    attributeFourTitle: string;

    @Prop({ default: null, nullable: true })
    attributeFourDescription: string;

    @Prop({ default: null, nullable: true })
    attributeFourIcon: string;

}

export const AnalyticsDashboardSectionTwoCmsSchema = SchemaFactory.createForClass(AnalyticsDashboardSectionTwoCms);