import { IsNotEmpty, IsOptional } from "class-validator";

export class BaseAboutSectionOneCmsDto {
    
    @IsNotEmpty()
    title: string;

    @IsNotEmpty()
    description: string;

    @IsOptional()
    buttonText: string;

    @IsOptional()
    buttonLink: string;

    @IsOptional()
    boxOneTitle: string;

    @IsOptional()
    boxOneSubTitle: string;

    @IsOptional()
    boxTwoTitle: string;

    @IsOptional()
    image: string;

    @IsOptional()
    boxTwoImageOne: string;

    @IsOptional()
    boxTwoImageTwo: string;

    @IsOptional()
    boxTwoImageThree: string;

    @IsOptional()
    boxTwoImageFour: string;

    @IsOptional()
    employeeNumber: string;


}