import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class CommonPageCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    partnerSliderTitle: string;

    @Prop({ default: null, nullable: true })
    contactSectionTitle: string;
}

export const CommonPageCmsSchema = SchemaFactory.createForClass(CommonPageCms);
