import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HireUsCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    titlePartOne: string;

    @Prop({ default: null, nullable: true })
    titlePartTwo: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;
}

export const HireUsCmsSchema = SchemaFactory.createForClass(HireUsCms);
