import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HomeCompanySloganCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    image: string;

    @Prop({ default: null, nullable: true })
    textOne: string;

    @Prop({ default: null, nullable: true })
    textTwo: string;

    @Prop({ default: null, nullable: true })
    textThree: string;

    @Prop({ default: null, nullable: true })
    textFour: string;

    @Prop({ default: null, nullable: true })
    buttonText: string;

    @Prop({ default: null, nullable: true })
    buttonLink: string;

}

export const HomeCompanySloganCmsSchema = SchemaFactory.createForClass(HomeCompanySloganCms);