import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class HomeHeroCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    buttonOneText: string;

    @Prop({ default: null, nullable: true })
    buttonOneLink: string;

    @Prop({ default: null, nullable: true })
    buttonTwoText: string;

    @Prop({ default: null, nullable: true })
    buttonTwoLink: string;

    @Prop({ default: null, nullable: true })
    videoUrl: string;
}

export const HomeHeroCmsSchema = SchemaFactory.createForClass(HomeHeroCms);
