import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class IntegrationsPageCMS extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    sectionOneTitle: string;

    @Prop({ default: null, nullable: true })
    sectionThreeTitle: string;

    @Prop({ default: null, nullable: true })
    sectionOneSubtitle: string;

    @Prop({ default: null, nullable: true })
    sectionThreeSubtitle: string;

    @Prop({ default: null, nullable: true })
    sectionThreeImage: string;
}

export const IntegrationsPageCMSSchema = SchemaFactory.createForClass(IntegrationsPageCMS);
