import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class IntegrationsPageSectionThree extends AbstractDocument {
    @Prop({ required: true })
    question: string;

    @Prop({ required: true })
    answer: string;
}

export const IntegrationsPageSectionThreeSchema = SchemaFactory.createForClass(IntegrationsPageSectionThree);