import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class IntegrationsPageSectionTwoCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    title: string;

    @Prop({ default: null, nullable: true })
    subTitle: string;

    @Prop({ default: null, nullable: true })
    imageOne: string;

    @Prop({ default: null, nullable: true })
    imageTwo: string;
}

export const IntegrationsPageSectionTwoCmsSchema = SchemaFactory.createForClass(IntegrationsPageSectionTwoCms);