import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { AbstractDocument } from '../../../../core/abstract-entity';

@Schema({ timestamps: true, id: true, versionKey: false })
export class RobotTextCms extends AbstractDocument {
    @Prop({ default: null, nullable: true })
    robotText: string;
}

export const RobotTextCmsSchema = SchemaFactory.createForClass(RobotTextCms);