import { IsArray, IsEmpty, IsNotEmpty, IsOptional } from "class-validator";
import { Types } from "mongoose";

export class CreateChangePasswordTokenDto {
    @IsNotEmpty()
    email: string;

    @IsNotEmpty()
    token: string;

    @IsEmpty()
    expired: boolean;
}