import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { SolutionsServices } from './schema/solutions-services.schema';
import { SolutionsServicesRepository } from './solutions-services.repository';

@Injectable()
export class SolutionsServicesService {
    constructor(
        @InjectModel('solutions-services')
        private readonly SolutionsServicesModel: Model<SolutionsServices>
    ) { }

    private readonly solutionsServicesRepository = new SolutionsServicesRepository(this.SolutionsServicesModel);

    // async create(dto: CreateSolutionsServicesDto): Promise<SolutionsServices> {
    //     const data = await this.solutionsServicesRepository.createEntity(dto);
    //     if (!data) {
    //         throw new BadRequestException(
    //             Constants.CREATE_FAILED
    //         );
    //     }
    //     return ResponseUtils.successResponseHandler(201, "Data created successfully.", "data", data);
    // }

    // async findAll(pageParam: string, limitParam: string): Promise<SolutionsServices[]> {
    //     let data: any;
    //     if (pageParam && limitParam) {
    //         const page = parseInt(pageParam, 10) ? parseInt(pageParam, 10) : 1;
    //         const limit = parseInt(limitParam, 10) ? parseInt(limitParam, 10) : 10;
    //         data = await this.solutionsServicesRepository.paginate(page, limit);
    //     } else {
    //         data = await this.solutionsServicesRepository.findAll();
    //     } 

    //     if (!data) {
    //         throw new NotFoundException(
    //             Constants.NOT_FOUND
    //         );
    //     }
    //     return ResponseUtils.successResponseHandler(200, "Data fetched successfully", "data", data);
    // }

    // async findOne(id: string): Promise<SolutionsServices | null> {
    //     const data = await this.solutionsServicesRepository.findOneEntity(id);
    //     if (!data) {
    //         throw new NotFoundException(
    //             Constants.NOT_FOUND
    //         );
    //     }
    //     return ResponseUtils.successResponseHandler(200, "Data fetched successfully", "data", data);
    // }

    // async update(id: string, dto: UpdateSolutionsServicesDto): Promise<SolutionsServices | null> {
    //     const res = await this.solutionsServicesRepository.findOneEntity(id);
    //     if (!res) {
    //         throw new NotFoundException(
    //             Constants.NOT_FOUND
    //         );
    //     }
    //     const data = await this.solutionsServicesRepository.updateEntity(id, dto);
    //     if (!data) {
    //         throw new BadRequestException(
    //             Constants.UPDATE_FAILED
    //         );
    //     }
    //     return ResponseUtils.successResponseHandler(200, "Data updated successfully", "data", data);
    // }

    // async delete(id: string): Promise<void> {
    //     const res = await this.solutionsServicesRepository.findOneEntity(id);
    //     if (!res) {
    //         throw new NotFoundException(
    //             Constants.NOT_FOUND
    //         );
    //     }

    //     const data = await this.solutionsServicesRepository.deleteEntity(id);
    //     if (!data) {
    //         throw new BadRequestException(
    //             Constants.DELETE_FAILED
    //         );
    //     }
    //     return ResponseUtils.buildDeletedData(data, 200, "Data deleted successfully");
    // }
}