// doSpacesService.ts
import { PutObjectCommand, S3Client } from "@aws-sdk/client-s3";
import { Injectable } from '@nestjs/common';

import { extname } from 'path';
import { v4 as uuidv4 } from 'uuid';
import { UploadedMulterFileI } from '.';
@Injectable()
export class DoSpacesService {
    private s3: any;
    constructor() {
        // Configure the S3 client
        this.s3 = new S3Client({
            endpoint: "https://nyc3.digitaloceanspaces.com", // Replace with your endpoint
            region: "nyc3", // The region can be a dummy value for DigitalOcean
            credentials: {
                accessKeyId: "DO00NHA6DX763EXANU3M", // Replace with your access key
                secretAccessKey: "rg4Dcnpb9i8+rndN2RFAgQ7Bu+dQyxtCR6BKbSlTPxI" // Replace with your secret key
            }
        });
    }
    async uploadFile(file: UploadedMulterFileI, uploadLocation?: string) {
        // Precaution to avoid having 2 files with the same name
        const extension = extname(file.originalname);
        let fileName = `neutrix-site.${uuidv4()}_do${extension}`;
        if (uploadLocation) {
            fileName = uploadLocation + fileName;
        }

        // Return a promise that resolves only when the file upload is complete

        let tryAttemt = 0
        try {
            const result = await this.s3.send(new PutObjectCommand({
                Bucket: 'neutrix-site',
                Key: fileName,
                Body: file.buffer,
                ACL: 'public-read',
                ContentType: file.mimetype
            }));
            console.log("uploaded file", new Date(), `https://neutrix-site.nyc3.digitaloceanspaces.com/${fileName}`)
            return `https://neutrix-site.nyc3.digitaloceanspaces.com/${fileName}`;
        } catch (error) {
            // Handle the error
            if (tryAttemt == 0) {
                tryAttemt++;
                console.log("Trying second time...")
                try {
                    const result = await this.s3.send(new PutObjectCommand({
                        Bucket: 'neutrix-site',
                        Key: fileName,
                        Body: file.buffer,
                        ACL: 'public-read',
                        ContentType: file.mimetype
                    }));
                    console.log("uploaded file", new Date(), `https://neutrix-site.nyc3.digitaloceanspaces.com/${fileName}`)
                    return `https://neutrix-site.nyc3.digitaloceanspaces.com/${fileName}`;
                } catch (error) {
                    console.error('Error uploading object:', error);
                    throw error;
                }
            }
            console.error('Error uploading object:', error);
            throw error;
        }
    }
}